{ config, pkgs, ... }:
{
  config.home.niri.settings.theme = pkgs.writeText "theme" ''
    prefer-no-csd

    layout {
      border {
        width 3
        active-color "#${config.look.colors.prime}"
        inactive-color "#${config.look.colors.split}"
      }

      focus-ring {
        off
      }

      gaps 7
      center-focused-column "never"
      default-column-width { proportion 0.5; }

      preset-column-widths {
        proportion 0.33333
        proportion 0.5
        proportion 0.66667
      }
    }
  '';
}
